> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List notification webhooks



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json get /v1/notification/webhook
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/notification/webhook:
    get:
      tags:
        - Notification
      summary: List notification webhooks
      operationId: NotificationController_getNotificationWebhooks
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NotificationWebhook'
      security:
        - bearer: []
components:
  schemas:
    NotificationWebhook:
      type: object
      properties:
        id:
          type: string
        teamId:
          type: string
        name:
          type: string
        url:
          type: string
        enabled:
          type: boolean
        notificationTypes:
          type: array
          nullable: true
          items:
            type: string
            enum:
              - NEW_CASE_ESCALATION
              - NEW_SECURITY_EVENT
              - NEW_CRITICAL_DEFECT
              - ACCOUNT_SUMMARY
              - INTEGRATION_HEALTH
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - teamId
        - name
        - url
        - enabled
        - createdAt
        - updatedAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````